<?php
####################Admin Branches Queue Mod: New strings
#For the database setup program
$admtext['rrbq-heading1'] = "Admin Branches Queue - Manage New Database Fields";
$admtext['rrbq-setup'] = "Set up new  fields";
$admtext['rrbq-remove'] = "Remove new fields";
$admtext['rrbq-exists'] = "The field exists";
$admtext['rrbq-notexists'] = "The field does not exist";
$admtext['rrbq-notcreated'] = "The field was not created.";
$admtext['rrbq-notdeleted'] = "The field was not deleted.";
$admtext['rrbq-close'] = "You may close this browser tab or window when you are done.";

#For admin_branches.php and.or admin_editbranch.php
$admtext['rrbq-finished'] = "Finished";
$admtext['rrbq-unqueue'] = "Remove it from the queue";
$admtext['rrbq-hasstarted'] = "Since a(n) XXX action has started, you cannot change the timestamps until it has finished and you have refreshed this page.";
$admtext['rrbq-isqueued'] = "A(n) XXX action has been queued.";
$admtext['rrbq-lastact'] = "Last Action";
$admtext['rrbq-qdata'] = "Queueing Data";
$admtext['rrbq-ruleform'] = "Form for the Branch Rule";
$admtext['rrbq-changerisk'] = "If you change fields in this form, and then take actions in the other two forms before you save <em>this</em> form, you may lose the new values.";
$admtext['rrbq-stampform'] = "Form for Action Results and Queue Manipulation";
$admtext['rrbq-qactions'] = "Queue Actions";
$admtext['rrbq-nodata'] = "none";
$admtext['rrqb-resultsperpage'] = "Results Per Page";

#For rrbranchesqueue.php
$admtext['rrbq-returntosecondary'] = "Return to Secondary Processes";
$admtext['rrqb-newsearch'] = "New Search";
$admtext['rrbq-gedcomimport'] = "Last Gedcom Import";
$admtext['rrbq-countlabels'] = "Count labels in each branch";
$admtext['rrbq-showusers'] = "Show branch-restricted users";
$admtext['rrbq-focuson'] = "Focus on composite branches";
$admtext['rrbq-branchnanme'] = "Branch Name";
$admtext['rrbq-startingperson'] = "Starting Person";
$admtext['rrbq-actual'] = "Actual";
$admtext['rrbq-finishedactions'] = "Finished Actions";
$admtext['rrbq-queuedactions'] = "Queued Actions";
$admtext['rrbq-index'] = "Index";
$admtext['rrbq-rec'] = "Rec";
$admtext['rrbq-all'] = "All";
$admtext['rrbq-selectnone'] = "Select None";
$admtext['rrbq-immediateaction'] = "Immediate Action Buttons";
$admtext['rrbq-queueto'] =  "Queue branch labeling operations";
$admtext['rrbq-queueadd'] =  "Add";
$admtext['rrbq-queueclearadd'] =  "Clear&amp;Add";
$admtext['rrbq-queueclearrule'] =  "Clear w/ Specs";
$admtext['rrbq-queueclearall'] =  "Clear All";
$admtext['rrbq-markstatus'] = "Set branch status";
$admtext['rrbq-marknotrebuilt'] = "Mark Not Rebuilt";
$admtext['rrbq-markrebuilt'] = "Mark Rebuilt";
$admtext['rrbq-remove'] = "Remove from queue";
$admtext['rrbq-composite'] = "Composite branch";
$admtext['rrbq-seecomponents'] = "See its components";
$admtext['rrbq-hidecomponents'] = "Hide its components";
$admtext['rrbq-restorebranch'] = "Restore Branch";
$admtext['rrbq-noresults'] = "No branches match";
$admtext['rrbq-footnote1'] = "The second number is the count of entries in the branch index (in the branchlinks table).
If the index count and record count should match do not match, you should rebuild the branch, making sure to Clear the labels (with the 'All' option) before you Add labels.
<br>To rebuild the branch, you can click on the branch name to go to the branch edit program,
where you can rebuild just that one branch,
or you can click on the Queue Actions tab to go to the Queue Actions page, where you can rebuild multiple branches.";

#Help text in rrbranchesqueue.php
$admtext['rrbq-message1'] = "The Queue buttons do not resubmit the form nor refresh the results table when branches are processed.
	Instead, when <b>all of</b> the queued branches have been processed, the results will be displayed in this box.";
$admtext['rrbq-message2'] = "To see updated counts and completion dates,
	either before or after all of the branches have been processed,
	you can refresh this page by clicking on the <b>Queue Actions</b> tab up in the tab bar.
	But if you refresh the page with some branches still in the queue, and those branches generate errors,
	you will never see those error messages.";
$admtext['rrbq-notes'] = "<ol class='p'>
	<li><b>To \"Rebuild\" a branch and to \"Add Labels\"</b> mean to follow the branch's specifications to find People and Families records, and to
		<ol type='i'>
		<li>Save the branch name in the 'branch' field of each record, and</li>
		<li>Define a branch index record (in the branchlinks table).</li>
		</ol>
		The term \"Add Labels\" refers to the branch names as labels in the People and Families records.
		The term \"Rebuild\" suggests that the entire branch is built,
		whereas \"Add Labels\" leaves room for adding just a few labels,
		which is possible through TNG data entry, but not here.</li>
	<li><b>The Tree drop-down selection box</b> doesn't necessarily list all trees; it only lists trees that have branches.</li>
	<li><b>Finished Dates and/or Finished Actions are higlighted in the search results table if</b>
		<ol type='a'>
		<li>A Gedcom Import has been done since the branch was rebuilt, in which case the action for all branches are highlighted, or
		<li>If the last action was anything other than 'add'.</li>
		</ol></li>
	<li><b>The Queue buttons</b> queue up the branches and launch a background process, but do not resubmit the form.
		<ul>
		<li>Therefore, the results of the queued actions are not reflected in the results table, unless you <a href='rrbranchesqueue.php'>refresh this page</a>.</li>
		<li>If you do refresh the page, you will not see error messages that occur while the branches are being processed by the queue,
			but if a branch has a Start date/time, no Finished/time, then it is either being processed now,
			or has failed.</li>
		</ul></li>
	<li><b>The Mark buttons</b> resubmit the form, so you see the results of their actions in the results table.
		<ul>
		<li>Mark Not Rebuilt
			<br>Sets actionfinished='edit' to make it appear that the branch has been edited and therefore must be rebuilt.</li>
		<li>Mark Rebuilt
			<br>Sets datefinished=NOW() & actionfinished='add' to make it appear that the the branch has been rebuilt.
			This doesn't affect any automatic procesing, it just removes highlighting from values in the Finished Action column for the selected branches.</li>
		<li>Remove from Queue
			<br>Sets datestarted=NOW(), which causes the background process to say
			\"Oh, this branch is already being processed, so I'll skip it.\"</li>
			</ol></li>
		</ul></li>
	</ol>";

#For rrbranchesqueue_status.php
$admtext['rrbq-actionqueued'] = "operation queued";
$admtext['rrbq-actionstarted'] = "operation started";
$admtext['rrbq-actionfinished'] = "operation finished";
$admtext['rrbq-actionnotstarted'] = "is out of date and no rebuild process has been initiated";

#For rrbranchesqueue_ajx.php
$admtext['rrbq-processed'] = "Branches Processed";

#For rrbranchesqueue_restore_ajx.php
$admtext['rrbq-restored'] = "Restored labels for XXX People and YYY Families";

#For admin_secondmenu.php, where we add the Rebuild branches button and a help icon
$admtext['rrbq-newwindowmessage'] = "This button opens its target page in a new browser tab";
$admtext['rrbq-rebuildbranches'] = "Rebuild Branches";
$admtext['rrbq-secondarymessagedims'] = "530,480";
$admtext['rrbq-secondarymessage'] = "Be aware that the \"<b>Relabel Branches</b>\" process is not necessarily accurate.
That is, it simply restores all branches in the selected tree to the state they were in <i>before</i> the Gedcom Import.
It ignores data from the Gedcom Import,
and thus will not update any branches even if new data <i>should</i> cause records to be added to or removed from a branch.
<p>
To be sure of getting accurate branches, you must \"<b>Rebuild</b>\" them, not just \"<b>Relabel</b>\" them.
</p>
To rebuild branches, you can
<ol><li>Go to Admin>>Branches, and rebuild one branch at a time by selecting a branch, launching the Branch Editor, and rebuilding that one branch.
	<ul><li>For each branch, you should make sure to do a <b>Clear Labels</b> operation and only then <b>Add Labels</b>.</li>
	</ul></li>
<li>Or, click the \"<b>Rebuild Branches</b>\" button to launch the Branches Queue&nbsp;Actions program, which lets you select branches from a list, and queue them up to be rebuilt accurately in the background.
	<ul><li>Make sure to use the <b>Clear and Add</b> button, not just <b>Add</b>.</li>
	</ul></li>
</ol>
</p>
<p>If you think that <i>some</i> branches <i>don't</i> need to be rebuilt from scratch, it might make sense for you to
use the \"Relabel Branches\" button to quickly restore the old branch labels in all branches (it always processes <i>all</i> branches in the selected tree),
and then use either the Branch Editor or the \"Rebuild Branches\" button to <b>Clear</b> and <b>Add</b> branch labels in the appropriate branches.
</p>";

#More than one program
$admtext['rrbq-done'] = "Done!";
$admtext['rrbq-nothingtodo'] = "Nothing to do";
$admtext['rrbq-at'] = "At"; #just before a date
$admtext['rrbq-action'] = "Action";
$admtext['rrbq-queued'] = "Queued";
$admtext['rrbq-started'] = "Started";
$admtext['rrbq-updated'] = "Updated";
$admtext['rrbq-noneselected'] = "No branches were selected";

#The 'what changed' text for Inner Mod Menus in the branch search and branch edit programs
$admtext['rrbq-editdims'] = "380,220";
$admtext['rrbq-editchanged'] = "The Admin Branches Queue mod adds a third HTML form to admin_editqueue.php,
	and places the new form between the original Branch Edit form and the
	action form that was added by the Admin Branches mod.
	This new form displays
	<ol style='margin-top;0;'>
	<li>The results of the the most recent branch action on the current branch,</li>
	<li>An indication of whether an action on this branch is currently in the processing queue, and</li>
	<li>An action bsutton to remove the branch action from the queue,
		but the button is visible only if an action on this branch <i>is</i> in the queue.</li>
	</ol>";
$admtext['rrbq-searchdims'] = "380,230";
$admtext['rrbq-searchchanged'] = "The Admin Branches Queue mod adds two columns to the seach results table.
They contain information about the last action that was performed on each branch,
whether it was queued or not.
The two columns are
<ol><li>When the last action was performed, and what the action was, and</li>
	<li>The number of People and Families records records that the last action updated.</li>
</ol>";
$admtext['rrbq-queuechangeddims'] = '400,120';
$admtext['rrbq-queuechanged'] = "This program was installed by Admin Branches Queue. ";
$admtext['rrbq-queuechanged'] .= "<br>It provides a way to rebuild or clear multiple branches at a time, ";
$admtext['rrbq-queuechanged'] .= "submitting them to an Ajax process that runs in the background. ";
$admtext['rrbq-queuechanged'] .= "<p>The message in a black box below the action and submit button, and the help notes below that.";
$admtext['rrbq-queuechanged'] .= "</p>";
?>
